package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrTorchvocMapper;
import com.ruoyi.project.pssr.domain.TPssrTorchvoc;
import com.ruoyi.project.pssr.service.ITPssrTorchvocService;

/**
 * 火炬，VOC系统Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrTorchvocServiceImpl implements ITPssrTorchvocService
{
    @Autowired
    private TPssrTorchvocMapper tPssrTorchvocMapper;

    /**
     * 查询火炬，VOC系统
     *
     * @param id 火炬，VOC系统ID
     * @return 火炬，VOC系统
     */
    @Override
    public TPssrTorchvoc selectTPssrTorchvocById(Long id)
    {
        return tPssrTorchvocMapper.selectTPssrTorchvocById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrTorchvocMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询火炬，VOC系统列表
     *
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 火炬，VOC系统
     */
    @Override
    public List<TPssrTorchvoc> selectTPssrTorchvocList(TPssrTorchvoc tPssrTorchvoc)
    {
        return tPssrTorchvocMapper.selectTPssrTorchvocList(tPssrTorchvoc);
    }

    /**
     * 新增火炬，VOC系统
     *
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 结果
     */
    @Override
    public int insertTPssrTorchvoc(TPssrTorchvoc tPssrTorchvoc)
    {
        return tPssrTorchvocMapper.insertTPssrTorchvoc(tPssrTorchvoc);
    }

    /**
     * 修改火炬，VOC系统
     *
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 结果
     */
    @Override
    public int updateTPssrTorchvoc(TPssrTorchvoc tPssrTorchvoc)
    {
        return tPssrTorchvocMapper.updateTPssrTorchvoc(tPssrTorchvoc);
    }

    /**
     * 批量删除火炬，VOC系统
     *
     * @param ids 需要删除的火炬，VOC系统ID
     * @return 结果
     */
    @Override
    public int deleteTPssrTorchvocByIds(Long[] ids)
    {
        return tPssrTorchvocMapper.deleteTPssrTorchvocByIds(ids);
    }

    /**
     * 删除火炬，VOC系统信息
     *
     * @param id 火炬，VOC系统ID
     * @return 结果
     */
    @Override
    public int deleteTPssrTorchvocById(Long id)
    {
        return tPssrTorchvocMapper.deleteTPssrTorchvocById(id);
    }
}
